\section{Related Work} \label{sec:related}
The CA/B forum accepts certificates with \texttt{.onion}
addresses~\cite{cab-onion-dv,cab-ballot144}.  DigiCert supports extended
validation of \texttt{.onion} addresses~\cite{digicert-onion}, and HARICA domain
validation~\cite{harica-onion}.  Muffett proposed same-origin onion certificates
that permit clients to omit verification of the CA trust chain for
onionsites~\cite{sooc}.  Sauteed onions help Tor users \emph{discover}
domain names with associated onion addresses.  Therefore, it is a
complement to approaches that bring HTTPS to onionsites.

Syverson suggested that traditional domain names and \texttt{.onion} addresses
can be glued into a single registered domain~\cite{once-and-future}.  Nusenu
proposed long-term Tor relay identifiers based on domain names to retrieve lists
of relevant public keys via HTTPS~\cite{haroi-tor-dev}.  Sauteed onions may be
used for such associations with the benefit of transparency, and it is further a
\emph{lighter} version of Syverson and Traudt's self-authenticated traditional
addresses which favors early deployment over properties like bidirectional onion
associations, guaranteed timeliness of revocation, and addressing all known
threats~\cite{secdev19,onion-discovery-attacks}.

Winter~\emph{et al.} studied how users engage with onion services~\cite{winter}.
A gist is that Tor users have a hard time discovering onion addresses and
verifying them as authentic.  Common discovery mechanisms that are associated
with human-meaningful identifiers include
  personal communication,
  webpage links,
  onion-location redirects~\cite{onion-location},
  third-party lists~\cite{onion-service-overview}, and
  search engines like DuckDuckGo.
Prior work has also focused on enumerating onion addresses without any
associated identity, e.g., through CT-logged certificates with \texttt{.onion}
addresses~\cite{muffet-onions} and crawling~\cite{ahmia.fi,nurmi}.
Sauteed onions enhance onion location by making the claimed associations
transparent in CT, and facilitate third-party solutions with less blind trust
and without assumptions about TLS sites not becoming blocked in the future.

Several ideas were proposed that mitigate or bypass the problem of
random-looking onion addresses.  Some sites generate vanity addresses that,
e.g., start with a prefix and have other memorable traits~\cite{vanity-address}.
Fink sketched out how to map onion addresses to a set of words~\cite{fink}.
Kadianakis~\emph{et al.} defined a common API to hook into alternative
naming systems that give onion addresses pet names~\cite{kadianakis}.
SecureDrop Onion Names is one such example that is, however,
implemented directly
in Tor Browser as an HTTPS Everywhere ruleset for selected news sites.  Other
alternative naming systems include Namecoin~\cite{namecoin} and
OnioNS~\cite{onio-ns}.  Sauteed onions is also an alternative naming system, but
one that relies on CAs and CT logs.
It may be possible to construct sauteed onions via DNSSEC, but then relying on
the DNS hierarchy without transparency logging.
Scaife~\emph{et~al.}~\cite{onion-dns} proposed the \texttt{.o} TLD as an
onionsite with DNSSEC.

Nordberg connected transparency logs and the consensus mechanism that Tor
uses~\cite{nordberg-tor}.  Dahlberg~\emph{et~al.} proposed CT in Tor for all
certificate validations~\cite{ctor-popets}.  We only check signatures of
embedded SCTs in relation to onion location, and our search engine is
a simple application of CT monitoring.
There is a large body of orthogonal work that improve CAs and CT.  For example,
multi-path domain-validation makes it harder to hijack onion
associations~\cite{le-multi-path}, and deployment of gossip would harden our
CT log assumptions~\cite{chuat-gossip,nordberg-gossip}.

%%% Local Variables: 
%%% mode: latex 
%%% TeX-master: "../main"
%%% End:          
